Subject: Re: bug#9917: bug#5042: bug#9917: 24.0.90; Make `goto-line' consistent with the line number from the minibuffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Oct 2020 10:49:12 +0100

Juri Linkov <[email-masked]> writes:

> I've added a more localized key binding 'C-x n g',
> but still not sure about the global 'M-g' key bindings.
> Here are some possible variants:
>
> 1. Bind 'M-g v' to goto-line-relative, while leaving 'M-g g'
>    bound to goto-line that currently uses absolute line numbers
>    (btw, this fact should be mentioned in its docstring);

This makes most sense to me -- sometimes you want to go relative (when
you're working on stuff wrt. the buffer) and sometimes you want to go
absolute (when you're looking at external data, like error reports and
the like).

So two commands (and keystrokes), and document the difference properly.

> 3. Leave the existing 'M-g g' bound to goto-line, but allow changing
>    the numbering scheme using a prefix arg and a user option.
>    Or another idea: maybe it should depend on whether
>    display-line-numbers-mode is enabled or not?
>    When display-line-numbers-mode is enabled, then use
>    relative line numbers that are displayed on the left side (WYSIWYG).

I'm not opposed to this, but I wonder whether it'd be used much (if we
have two keystrokes, which I think we should have anyway).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no